Bug 1280214 - SSH password displayed when discovering Undercloud
SSH password displayed when discovering Undercloud
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHELOSP (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: John Matthews
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-11-11 03:46 EST by Antonin Pagac
Modified: 2016-10-03 15:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:10:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-11-11 03:46:14 EST
Description of problem:
When doing a deployment of OSP, in step 2A "Detect Undercloud" the ssh password is visible in plaintext. I think we should mask the password, as we do in numerous other occasions.

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151104.t.0

How reproducible:
Always

Steps to Reproduce:
1. Install RHCI
2. Start the deployment of OSP, proceed to step 2A
3. Input the SSH password. It is visible in plaintext

Actual results:
Visible ssh password

Expected results:
Masked ssh password

Additional info:
Comment 1 Antonin Pagac 2015-12-01 05:51:29 EST
Compose: RHCI-6.0-RHEL-7-20151130.t.2

Ssh password is now masked, but there is no eye icon for display the password, as there is in every other password field during the deployment.
Comment 2 Jason Montleon 2015-12-18 11:46:00 EST
The password is properly masked on 2A for me now.
Comment 3 Antonin Pagac 2016-01-05 10:56:52 EST
Verified in RHCI-6.0-RHEL-7-20151223.t.0-RHCI-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.